%define upstream_name    Dist-Zilla-Plugin-HasVersionTests
%define upstream_version 1.101420

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Release tests for version numbers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(English)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::HasVersion)
BuildRequires: perl(Test::More) >= 0.940.0

BuildArch: noarch


%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files

  xt/release/has-version.t - a standard Test::HasVersion test

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.yml META.json README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.101.420-12.mga10
+ Revision: 2198468
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.101.420-11.mga9
+ Revision: 1803213
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.101.420-10.mga8
+ Revision: 1494313
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.101.420-9.mga7
+ Revision: 1267531
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.101.420-8.mga6
+ Revision: 1026218
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.101.420-7.mga6
+ Revision: 948548
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.101.420-6.mga5
+ Revision: 787978
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.101.420-5.mga5
+ Revision: 739536
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.101.420-4.mga5
+ Revision: 684452
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.101.420-3.mga4
+ Revision: 511045
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.101.420-2.mga3
+ Revision: 366207
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 1.101.420-1.mga1
+ Revision: 40435
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-HasVersionTests

